commit:     e2345e1e7cba96bb37b15a87ec9d8fe5375536ae
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 16 19:58:47 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Nov 16 22:59:51 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e2345e1e

dev-db/kyotocabinet: add 1.2.79

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-db/kyotocabinet/Manifest                   |  1 +
 dev-db/kyotocabinet/kyotocabinet-1.2.79.ebuild | 68 ++++++++++++++++++++++++++
 2 files changed, 69 insertions(+)

diff --git a/dev-db/kyotocabinet/Manifest b/dev-db/kyotocabinet/Manifest
index 153fe26ce686..cc68343464c7 100644
--- a/dev-db/kyotocabinet/Manifest
+++ b/dev-db/kyotocabinet/Manifest
@@ -1 +1,2 @@
 DIST kyotocabinet-1.2.77.tar.gz 949326 BLAKE2B 
faacde57e8c7fed3fb232ea6fd12b668f2d2ee352cd357d5e16e0d1740cd8f73e223964249efeae50f3ea5d0672117b2410b91ba557ebe1ac7ba4075ac28deab
 SHA512 
f38794c11faa3f4b64097a2e314307e1a6b75ddc495103647ebe52786a689336754496e7083697417ea90436e7fad681f16440975abec9ae917874aa25153e0f
+DIST kyotocabinet-1.2.79.tar.gz 943804 BLAKE2B 
8a12e6dd953a1ba995d5a60126fb2682a07be390698bf98535633af894573aafc63b55497dc869cad14eceb14824ceb4f8c471b9aa1dad51944c35eac0cf4912
 SHA512 
9243192c81d3aa37cc8c80eb3bdf235192a0919b134cededa2b4178be515d148916e7405e094cbcdd7dbf13bf38a569bf21863afac7cc05d6418cca5853a2ff4

diff --git a/dev-db/kyotocabinet/kyotocabinet-1.2.79.ebuild 
b/dev-db/kyotocabinet/kyotocabinet-1.2.79.ebuild
new file mode 100644
index 000000000000..4d737ac5ad0b
--- /dev/null
+++ b/dev-db/kyotocabinet/kyotocabinet-1.2.79.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools toolchain-funcs
+
+DESCRIPTION="A straightforward implementation of DBM"
+HOMEPAGE="https://dbmx.net/kyotocabinet/";
+SRC_URI="https://dbmx.net/kyotocabinet/pkg/${P}.tar.gz";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="debug doc examples +lzma +lzo static-libs"
+
+DEPEND="sys-libs/zlib[static-libs?]
+       lzma? ( app-arch/xz-utils:=[static-libs?] )
+       lzo? ( dev-libs/lzo:=[static-libs?] )"
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+       "${FILESDIR}"/fix_configure-1.2.62.patch
+       "${FILESDIR}"/${PN}-1.2.76-configure-8-byte-atomics.patch
+       "${FILESDIR}"/${PN}-1.2.76-flags.patch
+)
+
+src_prepare() {
+       default
+
+       sed -i -e "/DOCDIR/d" Makefile.in || die
+       tc-export AR
+
+       mv configure.in configure.ac || die
+       eautoreconf
+}
+
+src_configure() {
+       # We need to set LD_LIBRARY_PATH which will be assigned to RUNENV later
+       # used by test suite
+       LD_LIBRARY_PATH=. \
+       econf $(use_enable debug) \
+               $(use_enable static-libs static) \
+               $(use_enable !static-libs shared) \
+               $(use_enable lzma) \
+               $(use_enable lzo)
+}
+
+src_test() {
+       emake -j1 check
+}
+
+src_install() {
+       default
+
+       if ! use static-libs; then
+               find "${ED}" -name '*.a' -delete || die
+       fi
+
+       if use doc; then
+               dodoc -r doc/*
+       fi
+
+       if use examples; then
+               docinto example
+               dodoc example/*
+       fi
+}

Reply via email to